import type { ServiceId } from './types.js';
export type UsercentricsBrowserIntegrationState = {
    consents: Record<ServiceId, boolean>;
    hasInteracted: boolean;
    isClientSide: boolean;
    isFailed: boolean;
    isInitialized: boolean;
    isOpen: boolean;
};
export declare const SSR_INITIAL_STATE: UsercentricsBrowserIntegrationState;
type UsercentricsContextType = UsercentricsBrowserIntegrationState & {
    strictMode: boolean;
};
export declare const UsercentricsContext: import("react").Context<UsercentricsContextType>;
export {};
